Skip to main content
DELETE
/
v1
/
templates
/
refs
/
{ref}
Delete a custom template by canonical ref
import requests

url = "https://api.13-215-85-171.sslip.io/v1/templates/refs/{ref}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
{
  "error": "<string>",
  "error_detail": {
    "message": "<string>",
    "retryable": true,
    "suggested_action": "<string>",
    "step_index": 123,
    "attempt": 123,
    "max_attempts": 123,
    "cache_subject": "<string>",
    "build_id": "<string>",
    "request_id": "<string>",
    "details": {}
  },
  "request_id": "<string>",
  "build_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

ref
string
required

Canonical template ref. This route accepts slash-bearing refs such as namespace/name, namespace/name:tag, namespace/name:tb_123, and legacy <user_uuid>/<name>:<tag> aliases.

Response

Template deleted